Imports IntraSell_DLL
Imports IntraSell_Net_Base

Public Class KuechenAuftragListener

    Private isVorgang As New IntraSellVorgang()

    Public Sub Init()
        WriteLog($"KuechenAuftragListener Init")
        RemoveHandler ModuleBuchVorgang.VorgangKuecheEvent, AddressOf OnVorgangKuecheEvent
        AddHandler ModuleBuchVorgang.VorgangKuecheEvent, AddressOf OnVorgangKuecheEvent
        isVorgang.Init(CurrentDB.ConnectionString)
    End Sub

    Public Sub Destroy()
        RemoveHandler ModuleBuchVorgang.VorgangKuecheEvent, AddressOf OnVorgangKuecheEvent
    End Sub

    ''' <summary>
    ''' 
    ''' </summary>
    ''' <param name="vorgang"></param>
    ''' <param name="auftrag"></param>
    Private Sub OnVorgangKuecheEvent(vorgang As VorgangInBearbeitung, auftrag As String)
        KuechenAuftragErstellen(vorgang, auftrag)
    End Sub


End Class
